Subject: bug#70209: closed (Re: bug#70209: 30.0.50; describe key + lambda too poetic)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 Apr 2024 13:18:02 +0000

Your bug report

#70209: 30.0.50; describe key + lambda too poetic

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70209: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70209
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70209: 30.0.50; describe key + lambda too poetic
From: Stefan Monnier <[email-masked]>
To: No Wayman <[email-masked]>
Cc: [email-masked]
Date: Sat, 06 Apr 2024 09:17:21 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> Thanks, Stefan

My pleasure, closing,

        Stefan

Subject: 30.0.50; describe key + lambda too poetic
From: No Wayman <[email-masked]>
To: [email-masked]
Date: Fri, 05 Apr 2024 00:47:48 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.24.41, cairo version 1.18.0) of 2024-04-02  

emacs -Q --batch \
--eval '(global-set-key (kbd "c") (lambda () (interactive) t))' \
--eval '(describe-key "c")' \
--eval '(with-current-buffer "*Help*" (print 
  (buffer-substring-no-properties (point-min) (point-max))))'

Outputs the following poetry:

"c runs the command #<closure 0FE> (found in global-map), which is 
.

It is bound to c.

(anonymous)
"

"which is..."?
What is describe-key trying to tell us?
Is it respecting the function's wish to remain anonymous?
Is it commentary on the limits of descriptive language?
I can only respond with the output of M-x describe-feelings:

"It is bound to c, yet I see a bind:
Though closure mentioned, none I've yet to find."
~ Anonymous